import { PolarLineSeriesBase } from "./PolarLineSeriesBase";
import { UnknownValuePlotting } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Type, Point, IEnumerable$1 } from "igniteui-react-core";
import { PolarFrame } from "./PolarFrame";
import { PolarBaseView } from "./PolarBaseView";
import { PolarLineSeriesBaseView } from "./PolarLineSeriesBaseView";
import { Path } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class PolarAreaSeries extends PolarLineSeriesBase {
    static $t: Type;
    protected bf(): SeriesView;
    i2(a: SeriesView): void;
    pq: PolarAreaSeriesView;
    constructor();
    protected po(a: SeriesView): void;
    pp(a: PolarFrame, b: PolarBaseView): void;
    protected get_pl(): boolean;
    pr: UnknownValuePlotting;
    pg(): UnknownValuePlotting;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PolarAreaSeriesView extends PolarLineSeriesBaseView {
    static $t: Type;
    protected cz: PolarAreaSeries;
    constructor(a: PolarAreaSeries);
    ap(): void;
    private c4;
    private c2;
    readonly c3: Path;
    c0(): void;
    c1(a: IEnumerable$1<Point>, b: number): void;
    protected a8(): void;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    protected ac(): void;
}
